Bug 137722 - Add extrememory/Zynet 8-in-1 card reader to SCSI whitelist
Summary: Add extrememory/Zynet 8-in-1 card reader to SCSI whitelist
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-31 15:03 UTC by Tim Niemueller
Modified: 2015-01-04 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 01:15:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Niemueller 2004-10-31 15:03:12 UTC
Description of problem:
The extrememory 8-in-1 card reader should be added to the multi-lun
whitelist.  Here is the /proc/scsi/scsi info:

Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: Zynet    Model: USB Storage-SMC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 01
  Vendor: Zynet    Model: USB Storage-CFC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 02
  Vendor: Zynet    Model: USB Storage-MMC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 03
  Vendor: Zynet    Model: USB Storage-MSC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02

Adding
options scsi_mod max_luns=4
to /etc/modprobe.conf is a possible workaround.


Version-Release number of selected component (if applicable):
kernel-2.6.9.643

How reproducible:
Always

Steps to Reproduce:
1. Plugin card reader
2. cat /proc/scsi/scsi
  
Actual results:
root # cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: Zynet    Model: USB Storage-SMC  Rev: I03A
  Type:   Direct-Access                    ANSI SCSI revision: 02

Expected results:
All four devices should show up

Comment 1 Dave Jones 2004-11-01 19:46:46 UTC
will be in the next build.



Note You need to log in before you can comment on or make changes to this bug.